Skip to content

Continue Video Clip

POST
/ad-creatives/video/clips/{clip_id}/continue

Generate the NEXT shot from this clip’s last frame, with a new prompt. SPENDS CREDIT.

Authorizations

Parameters

Path Parameters

clip_id
required

Video clip id.

string

Video clip id.

Header Parameters

X-Target-Org-Id
Any of:
string

Request Body required

Generate the NEXT shot, starting from this clip’s last frame. SPENDS CREDIT.

object
duration_seconds
integer
default: 8
prompt_final
Any of:
string
<= 1000 characters
prompt_inputs
required

The structured shot description. subject is the only required field.

object
camera
Any of:
string
<= 40 characters
lighting
Any of:
string
<= 120 characters
negative
Any of:
string
<= 300 characters
setting
Any of:
string
<= 300 characters
style
Any of:
string
<= 40 characters
subject
required
string
>= 3 characters <= 500 characters

Responses

202

Successful Response

object
data
required

One Studio object, open-shaped. See the module docstring.

object
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string